summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Lhomme <robux4@gmail.com>2015-07-24 09:38:04 +0200
committerMartin Storsjö <martin@martin.st>2015-07-24 18:21:22 +0300
commitc9edbe4af901e9bc9f05a62319637f9760df9a4a (patch)
tree8a0b11a15a18af06aea4efbed821335820d1536b
parenta54e720e0289433d6bc3f7ba0a37fa5cabfaeea9 (diff)
use a wrapper script to call MS link.exe to avoid mixing with /usr/bin/link.exe
Fallback to "link" in the path if the one next to cl is not found. Signed-off-by: Martin Storsjö <martin@martin.st>
-rwxr-xr-xcompat/windows/mslink9
-rwxr-xr-xconfigure2
2 files changed, 10 insertions, 1 deletions
diff --git a/compat/windows/mslink b/compat/windows/mslink
new file mode 100755
index 0000000000..07b2b3e378
--- /dev/null
+++ b/compat/windows/mslink
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+LINK_EXE_PATH=$(dirname "$(command -v cl)")/link
+if [ -x "$LINK_EXE_PATH" ]; then
+ "$LINK_EXE_PATH" $@
+else
+ link $@
+fi
+exit $?
diff --git a/configure b/configure
index ac2a71d591..5ef2e0d6ff 100755
--- a/configure
+++ b/configure
@@ -2633,7 +2633,7 @@ case "$toolchain" in
else
cc_default="c99wrap cl"
fi
- ld_default="link"
+ ld_default="$source_path/compat/windows/mslink"
nm_default="dumpbin -symbols"
ar_default="lib"
target_os_default="win32"